Summary:	OpenSP - SGML parser
Summary(pl.UTF-8):	OpenSP - parser SGML
Name:		opensp
Version:	1.5.2
Release:	7
Epoch:		2
License:	Free (Copyright (C) 1999 The OpenJade group)
Group:		Applications/Publishing/SGML
Source0:	http://downloads.sourceforge.net/openjade/OpenSP-%{version}.tar.gz
# Source0-md5:	670b223c5d12cee40c9137be86b6c39b
Patch0:		%{name}-nolibnsl.patch
Patch1:		%{name}-localedir.patch
Patch2:		%{name}-automake.patch
URL:		http://openjade.sourceforge.net/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gettext-tools >= 0.14.4
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	xmlto
Requires:	sgml-common >= 0.5-1
Provides:	sgmlparser
Provides:	sp
Obsoletes:	sp
Conflicts:	openjade <= 1.3-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		sgmldir		/usr/share/sgml
%define		_datadir	%{sgmldir}

%description
This package contains an SGML parser.

%description -l pl.UTF-8
Ten pakiet zawiera parser SGML.

%package devel
Summary:	OpenSP header files
Summary(pl.UTF-8):	Pliki nagłówkowe OpenSP
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}
Requires:	libstdc++-devel

%description devel
OpenSP header files and devel documentation.

%description devel -l pl.UTF-8
Pliki nagłówkowe OpenSP.

%package static
Summary:	Static OpenSP libraries
Summary(pl.UTF-8):	Biblioteki statyczne OpenSP
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}

%description static
Static OpenSP libraries.

%description static -l pl.UTF-8
Biblioteki statyczne OpenSP.

%prep
%setup -q -n OpenSP-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
# don't run gettextize (PACKAGE changed to @SP_MESSAGE_DOMAIN@ in po/Makefile.in.in)
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-default-catalog=%{_sysconfdir}/sgml/catalog \
	--enable-default-search-path=%{sgmldir} \
	--enable-http

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	localedir=%{_prefix}/share/locale \
	pkgdocdir=%{_docdir}/%{name}-%{version}

# tidy@mozilla-firefox
install -d $RPM_BUILD_ROOT%{_includedir}/OpenSP/nsgmls
install nsgmls/NsgmlsMessages.h $RPM_BUILD_ROOT%{_includedir}/OpenSP/nsgmls
install -d $RPM_BUILD_ROOT%{_includedir}/OpenSP/lib
install lib/Parser.h $RPM_BUILD_ROOT%{_includedir}/OpenSP/lib
install lib/ParserState.h $RPM_BUILD_ROOT%{_includedir}/OpenSP/lib
install lib/Undo.h $RPM_BUILD_ROOT%{_includedir}/OpenSP/lib
install lib/EventQueue.h $RPM_BUILD_ROOT%{_includedir}/OpenSP/lib
install lib/Id.h $RPM_BUILD_ROOT%{_includedir}/OpenSP/lib
install lib/OutputState.h $RPM_BUILD_ROOT%{_includedir}/OpenSP/lib
install lib/Recognizer.h $RPM_BUILD_ROOT%{_includedir}/OpenSP/lib
install lib/LpdEntityRef.h $RPM_BUILD_ROOT%{_includedir}/OpenSP/lib
install lib/events.h $RPM_BUILD_ROOT%{_includedir}/OpenSP/lib
install lib/Trie.h $RPM_BUILD_ROOT%{_includedir}/OpenSP/lib
install lib/Priority.h $RPM_BUILD_ROOT%{_includedir}/OpenSP/lib

for i in nsgmls sgmlnorm spam spcat spent; do
	ln -sf o$i $RPM_BUILD_ROOT%{_bindir}/$i
done

# sx conficts with sx from lrzsz package
ln -sf osx $RPM_BUILD_ROOT%{_bindir}/sgml2xml

%find_lang sp5

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f sp5.lang
%defattr(644,root,root,755)
%{_docdir}/%{name}-%{version}
%attr(755,root,root) %{_bindir}/nsgmls
%attr(755,root,root) %{_bindir}/onsgmls
%attr(755,root,root) %{_bindir}/osgmlnorm
%attr(755,root,root) %{_bindir}/ospam
%attr(755,root,root) %{_bindir}/ospcat
%attr(755,root,root) %{_bindir}/ospent
%attr(755,root,root) %{_bindir}/osx
%attr(755,root,root) %{_bindir}/sgml2xml
%attr(755,root,root) %{_bindir}/sgmlnorm
%attr(755,root,root) %{_bindir}/spam
%attr(755,root,root) %{_bindir}/spcat
%attr(755,root,root) %{_bindir}/spent
%attr(755,root,root) %{_libdir}/libosp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libosp.so.5
%{_datadir}/OpenSP
%{_mandir}/man1/onsgmls.1*
%{_mandir}/man1/osgmlnorm.1*
%{_mandir}/man1/ospam.1*
%{_mandir}/man1/ospcat.1*
%{_mandir}/man1/ospent.1*
%{_mandir}/man1/osx.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/OpenSP
%attr(755,root,root) %{_libdir}/libosp.so
%{_libdir}/libosp.la

%files static
%defattr(644,root,root,755)
%{_libdir}/libosp.a
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/opensp.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> ad294fa
- x32 rebuild
- release 7 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 7c88045
- updated gettext BR

* Wed Jan 08 2014 Jakub Bogusz <qboosh@pld-linux.org> bc80b5d
- updated sf URL, verbose bin, lib, man files

* Fri Jan 03 2014 Elan Ruusamäe <glen@delfi.ee> 0a18c6b
- track soname

* Fri Jan 03 2014 Witold Filipczyk <witekfl@poczta.onet.pl> b9441e7
- ghost symlink
- rel 6

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 4508b1a
- rel 5

* Tue Jun 05 2007 Elan Ruusamäe <glen@pld-linux.org> 7ca8ff8
- silly typo

* Mon Jun 04 2007 Elan Ruusamäe <glen@pld-linux.org> 61825fc
- install headers needed to build tidy extension for firefox

* Mon Mar 05 2007 Marcin Banasiak <marcin.banasiak@gmail.com> e196c08
- release 2

* Sun Feb 18 2007 qrczak <qrczak@pld-linux.org> 78b9fc7
- opensp-automake.patch: fixed errors about MKINSTALLDIRS.

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 54d6b81
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> eae6a62
- converted to UTF-8

* Sat Sep 02 2006 Elan Ruusamäe <glen@pld-linux.org> 4786ade
- _defaultdocdir -> _docdir

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 33c7e0f
- orphaned, outdated

* Sun Dec 25 2005 Jakub Bogusz <qboosh@pld-linux.org> d967dfd
- updated to 1.5.2 (note: new soname)
- removed obsolete gcc34 patch

* Sun Dec 25 2005 Jakub Bogusz <qboosh@pld-linux.org> 1a63dbc
- obsolete

* Thu Sep 02 2004 snurf <snurf@pld-linux.org> 8a74ae9
- typos / formatting / etc.

* Fri Feb 20 2004 Paweł Sikora <pluto@pld-linux.org> ebbbfad
- gcc 3.4 fix.

* Fri Feb 20 2004 Paweł Sikora <pluto@pld-linux.org> 2148187
- fixed error: `wideCharMax' used prior to declaration

* Thu Jan 29 2004 Jacek Konieczny <jajcus@pld-linux.org> 453a753
- Release: 4

